﻿using System;
using System.Windows.Forms;

using DevExpress.Utils;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.showMessageBoxButton.Click  += showMessageBoxButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 메시지 박스 표시 버튼 클릭시 처리하기 - showMessageBoxButton_Click(sender, e)

        /// <summary>
        /// 메시지 박스 표시 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showMessageBoxButton_Click(object sender, EventArgs e)
        {
            XtraMessageBox.ButtonsAlignment = HorizontalAlignment.Right;

            IWin32Window            owner         = this;
            string                  text          = "<b>선택된 항목이 없습니다.</b><br>1개 이상의 항목을 선택해 주시기 바랍니다.";
            string                  caption       = "INFORMATION";
            MessageBoxButtons       buttons       = MessageBoxButtons.OK;
            MessageBoxIcon          icon          = MessageBoxIcon.Information;
            MessageBoxDefaultButton defaultButton = MessageBoxDefaultButton.Button1;
            DefaultBoolean          allowHtmlText = DefaultBoolean.True;

            XtraMessageBox.Show(owner, text, caption, buttons, icon, defaultButton, allowHtmlText);
        }

        #endregion
    }
}